Attribute VB_Name = "mdlFunctions"
Option Explicit

Public Function Color(Val As Boolean)
    If Val Then
        Color = &HFF00&
    Else
        Color = &HC0&
    End If
End Function

Public Sub MSG(Massage As String, Optional Sound As Boolean = False)
    With frmPBrickControlCenter
        .lstDisplay.AddItem "[" & Time & "]" & Space(5) & Massage
        .lstDisplay.ListIndex = .lstDisplay.ListCount - 1
    End With
    If Sound Then Beep
End Sub

Public Sub EnableAll(Val As Boolean)
Dim X As Integer
    With frmPBrickControlCenter
        For X = 0 To 2
            .fraMotor(X).Enabled = Val
            .cmdMotorOn(X).Enabled = Val
            .cmdmotorOff(X).Enabled = Val
            .cmdFloatOff(X).Enabled = Val
            .sldMotorPower(X).Enabled = Val
            .cmdMotorForward(X).Enabled = Val
            .cmdMotorChange(X).Enabled = Val
            .cmdBackward(X).Enabled = Val
        Next X
        
        For X = 0 To 2
            .fraSensor(X).Enabled = Val
            .lblType(X).Enabled = Val
            .lstSensorType(X).Enabled = Val
            .lblMode(X).Enabled = Val
            .lstSensorMode(X).Enabled = Val
            .lblValue(X).Enabled = Val
            .fraSensorRefresh(X).Enabled = Val
            If .optSensorRefreshAuto(X).Value Then
                .tmrSensorRefresh(X).Enabled = Val
                .sldSensorRefresh(X).Enabled = Val
            Else
                .tmrSensorRefresh(X).Enabled = False
                .sldSensorRefresh(X).Enabled = False
            End If
            .optSensorRefreshManual(X).Enabled = Val
            .cmdSensorRefresh(X).Enabled = Val
            .optSensorRefreshAuto(X).Enabled = Val
        Next X
        
        .fraSystemSounds.Enabled = Val
        .lstSystemSound.Enabled = Val
        .cmdPlay.Enabled = Val
        
        .fraPowerDownTime.Enabled = Val
        .sldPowerDownTime.Enabled = Val
        .lblPowerDownTime.Enabled = Val
        .cmdTurnOff.Enabled = Val
        
        .fraFirmware.Enabled = Val
        .txtUnlockString.Enabled = Val
        .cmdUnlockFirmware.Enabled = Val
        .lblFirmware.Enabled = Val
        .txtFirmwarePath.Enabled = Val
        .cmdFirmwarepath.Enabled = Val
        .cmdDownloadFirmware.Enabled = Val
        
        .fraProgram.Enabled = Val
        .lblProgramNr.Enabled = Val
        .lstProgramNr.Enabled = Val
        .lblProgramName.Enabled = Val
        .lstPrgramName.Enabled = Val
        .cmdDownloadProgram.Enabled = Val
        
        If .optTowerAuto.Value Then
            .tmrTower.Enabled = Val
            .sldTower.Enabled = Val
        Else
            .tmrTower.Enabled = False
            .sldTower.Enabled = False
        End If
        .fraTower.Enabled = Val
        .optTowerManual.Enabled = Val
        .optTowerAuto.Enabled = Val
        .cmdTower.Enabled = Val
    
        If .optPBrickAuto.Value Then
            .tmrPBrick.Enabled = Val
            .sldPBrick.Enabled = Val
        Else
            .tmrPBrick.Enabled = False
            .sldPBrick.Enabled = False
        End If
        .fraPBrick.Enabled = Val
        .optPBrickManual.Enabled = Val
        .optPBrickAuto.Enabled = Val
        .cmdPBrick.Enabled = Val
        
        If .optBatteryAuto.Value Then
            .tmrBattery.Enabled = Val
            .sldBattery.Enabled = Val
        Else
            .tmrBattery.Enabled = False
            .sldBattery.Enabled = False
        End If
        .frabattery.Enabled = Val
        .optBatteryManual.Enabled = Val
        .optBatteryAuto.Enabled = Val
        .cmdBattery.Enabled = Val
    End With
End Sub
